## GtkTipsQuery GtkTipsQuery |

## Functions

GtkWidget * | gtk_tips_query_new ()
void | gtk_tips_query_start_query ()
void | gtk_tips_query_stop_query ()
void | gtk_tips_query_set_caller ()
void | gtk_tips_query_set_labels ()

## Properties

GtkWidget * | caller | Read / Write
gboolean | emit-always | Read / Write
char * | label-inactive | Read / Write
char * | label-no-tip | Read / Write

## Signals

void | start-query | Run First
void | stop-query | Run First
void | widget-entered | Run Last
gboolean | widget-selected | Run Last

## Types and Values

struct | GtkTipsQuery

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkLabel
                            ╰── GtkTipsQuery

## Implemented Interfaces

GtkTipsQuery implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_tips_query_new ()

    GtkWidget *
    gtk_tips_query_new (void);

`gtk_tips_query_new` is deprecated and should not be used in newly-written code.

### gtk_tips_query_start_query ()

    void
    gtk_tips_query_start_query (GtkTipsQuery *tips_query);

`gtk_tips_query_start_query` is deprecated and should not be used in newly-written code.

### gtk_tips_query_stop_query ()

    void
    gtk_tips_query_stop_query (GtkTipsQuery *tips_query);

`gtk_tips_query_stop_query` is deprecated and should not be used in newly-written code.

### gtk_tips_query_set_caller ()

    void
    gtk_tips_query_set_caller (GtkTipsQuery *tips_query,
                               GtkWidget *caller);

`gtk_tips_query_set_caller` is deprecated and should not be used in newly-written code.

### gtk_tips_query_set_labels ()

    void
    gtk_tips_query_set_labels (GtkTipsQuery *tips_query,
                               const gchar *label_inactive,
                               const gchar *label_no_tip);

`gtk_tips_query_set_labels` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkTipsQuery

    struct GtkTipsQuery;

`GtkTipsQuery` is deprecated and should not be used in newly-written code.

## Property Details

### The `“caller”` property

      “caller”                   GtkWidget *

Owner: GtkTipsQuery

Flags: Read / Write

### The `“emit-always”` property

      “emit-always”              gboolean

Owner: GtkTipsQuery

Flags: Read / Write

Default value: FALSE

### The `“label-inactive”` property

      “label-inactive”           char *

Owner: GtkTipsQuery

Flags: Read / Write

Default value: NULL

### The `“label-no-tip”` property

      “label-no-tip”             char *

Owner: GtkTipsQuery

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“start-query”` signal

    void
    user_function (GtkTipsQuery *tipsquery,
                   gpointer      user_data)

Flags: Run First

### The `“stop-query”` signal

    void
    user_function (GtkTipsQuery *tipsquery,
                   gpointer      user_data)

Flags: Run First

### The `“widget-entered”` signal

    void
    user_function (GtkTipsQuery *tipsquery,
                   GtkWidget    *widget,
                   char         *arg1,
                   char         *arg2,
                   gpointer      user_data)

Flags: Run Last

### The `“widget-selected”` signal

    gboolean
    user_function (GtkTipsQuery *tipsquery,
                   GtkWidget    *widget,
                   char         *arg1,
                   char         *arg2,
                   GdkEvent     *arg3,
                   gpointer      user_data)

Flags: Run Last